Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004925 [JEDI VCL] 00 JVCL Components crash always 2009-09-04 10:35 2009-09-05 00:19
Reporter Konchulio View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.37
Summary 0004925: [TJVComboEdit, TJVDBComboEdit] - External Exception
Description My system environment:
- WinXP Pro (SP3),
- Delphi 2010 (D14),
- JVCL Version 3.38

when I drop a JVComboEdit/JVDBComboEdit on a Win32-Form the exception rais permanently. Furthermore, the exception rais when the Win32-Form repaint/refresh.
Additional Information
Tags No tags attached.
Attached Files gif file icon D14-ExternalException.gif [^] (5,356 bytes) 2009-09-04 10:35

- Relationships
has duplicate 0004947resolvedAHUser TJvDirectoryEdit error on click at design time D2010 
has duplicate 0004946resolvedAHUser TJvDBCalcEdit - External exception C0FB007F 

-  Notes
(0016054)
Konchulio (reporter)
2009-09-04 10:45

The external exception rais when the property "showButton" is active!
(0016055)
Konchulio (reporter)
2009-09-04 16:38

The problem rais in the Unit "JvTheme.pas".


procedure "DrawGlassableText"
......
{$IFDEF COMPILER12_UP}
.....
if DrawThemeTextEx(Theme[teToolBar], DC, TP_BUTTON, TS_NORMAL, PWideChar Text), Length(Text), TextFlags, TextRect, Options) <> E_NOTIMPL then
....
{$ENDIF COMPILER12_UP}


The procedure "DrawThemeTextEx" rais the problem, becouse this procedure need Windows Vista!
See also ms-help://embarcadero.rs2010/ShellCC/platform/commctls/userex/functions/drawthemetextex.htm [^]
(0016056)
AHUser (developer)
2009-09-05 00:19

Thanks.

This is now fixed in SVN.

- Issue History
Date Modified Username Field Change
2009-09-04 10:35 Konchulio New Issue
2009-09-04 10:35 Konchulio File Added: D14-ExternalException.gif
2009-09-04 10:45 Konchulio Note Added: 0016054
2009-09-04 11:17 Konchulio Issue Monitored: Konchulio
2009-09-04 11:17 Konchulio Issue End Monitor: Konchulio
2009-09-04 13:27 Konchulio Issue Monitored: Konchulio
2009-09-04 16:38 Konchulio Note Added: 0016055
2009-09-05 00:19 AHUser Note Added: 0016056
2009-09-05 00:19 AHUser Status new => resolved
2009-09-05 00:19 AHUser Fixed in Version => Daily / SVN
2009-09-05 00:19 AHUser Resolution open => fixed
2009-09-05 00:19 AHUser Assigned To => AHUser
2009-09-20 01:53 AHUser Relationship added has duplicate 0004947
2009-09-20 01:56 AHUser Relationship added has duplicate 0004946


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker